> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Quote

> Returns fee and receivable amount estimations for a crypto withdrawal from a Fin.com internal wallet to a customer's external crypto wallet.

<Note>
  The source wallet and destination wallet must share the same blockchain rail and currency. For example, if the source wallet is on POLYGON with USDC, the beneficiary's destination wallet must also be on POLYGON with USDC.
</Note>


## OpenAPI

````yaml POST /v2/transactions/quote
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: A simple API specification
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v2/transactions/quote:
    post:
      tags:
        - Transactions
      summary: Create Quote
      description: >-
        Returns fee and receivable amount estimations for a crypto withdrawal
        from a Fin.com internal wallet to a customer's external crypto wallet.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - type
                - beneficiary_id
                - amount
                - source
              properties:
                type:
                  type: string
                  enum:
                    - CRYPTO_WITHDRAWAL
                  description: Transaction type for the quote.
                  example: CRYPTO_WITHDRAWAL
                beneficiary_id:
                  type: string
                  format: uuid
                  description: ID of the destination beneficiary.
                  example: 6af8d598-36a5-477d-9320-d7c5ba309107
                amount:
                  type: number
                  description: Amount to send in the source currency.
                  example: 5
                source:
                  type: object
                  required:
                    - crypto_wallet_id
                  properties:
                    crypto_wallet_id:
                      type: string
                      format: uuid
                      description: ID of the Fin.com internal crypto wallet to send from.
                      example: c92dfe1d-220e-4446-a5e4-cd7d46031ba5
            example:
              type: CRYPTO_WITHDRAWAL
              beneficiary_id: 6af8d598-36a5-477d-9320-d7c5ba309107
              amount: 5
              source:
                crypto_wallet_id: c92dfe1d-220e-4446-a5e4-cd7d46031ba5
      responses:
        '200':
          description: Quote generated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      quote_id:
                        type: string
                        format: uuid
                        description: >-
                          Unique identifier for this quote. Use this to create a
                          transaction.
                        example: 9ba7d6db-ac78-4a41-acae-f787ee6b1f24
                      expire_at:
                        type: string
                        format: date-time
                        description: Timestamp at which the quote expires.
                        example: '2026-04-29T10:09:33.524075766Z'
                      amount:
                        type: number
                        description: Source amount quoted.
                        example: 5
                      destination_details:
                        type: object
                        properties:
                          address:
                            type: string
                            example: '0xD2Ba7d0DaBd36498df5906fC7B054Fa9EfA9843E'
                          currency:
                            type: string
                            example: USDC
                          rail:
                            type: string
                            example: POLYGON
                      quote_estimation:
                        type: object
                        properties:
                          developer_fee_fixed:
                            type: number
                            example: 0.01
                          developer_fee_percentage:
                            type: number
                            example: 0.0005
                          network_fee:
                            type: number
                            example: 0.004149
                          total_fee:
                            type: number
                            example: 0.014649
                          receivable_amount:
                            type: number
                            example: 4.98535
                          ata_fee_applied:
                            type: boolean
                            example: false
              example:
                data:
                  quote_id: 9ba7d6db-ac78-4a41-acae-f787ee6b1f24
                  expire_at: '2026-04-29T10:09:33.524075766Z'
                  amount: 5
                  destination_details:
                    address: '0xD2Ba7d0DaBd36498df5906fC7B054Fa9EfA9843E'
                    currency: USDC
                    rail: POLYGON
                  quote_estimation:
                    developer_fee_fixed: 0.01
                    developer_fee_percentage: 0.0005
                    network_fee: 0.004149
                    total_fee: 0.014649
                    receivable_amount: 4.98535
                    ata_fee_applied: false
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
    ValidationError:
      description: Failed due to a formatting error.
      content:
        application/json:
          schema:
            type: object
            required:
              - message
            properties:
              message:
                type: string
              errors:
                type: array
                items:
                  type: object
                  additionalProperties:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````